datacache <- new.env(hash=TRUE, parent=emptyenv())

drogene11stdmrefseq <- function() showQCData("drogene11stdmrefseq", datacache)
drogene11stdmrefseq_dbconn <- function() dbconn(datacache)
drogene11stdmrefseq_dbfile <- function() dbfile(datacache)
drogene11stdmrefseq_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
drogene11stdmrefseq_dbInfo <- function() dbInfo(datacache)

drogene11stdmrefseqORGANISM <- "Drosophila melanogaster"

.onLoad <- function(libname, pkgname)
{
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "drogene11stdmrefseq.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("FLYCHIP_DB", "drogene11stdmrefseq", "chip drogene11stdmrefseq", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("drogene11stdmrefseq.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(drogene11stdmrefseq_dbconn())
}

